Solvedangular cli export 'inject' was not found

Hello,

I have a problem with the last version angular/core.
After updating I've got this list of warnings

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1118:164-170 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1118:62-78 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1660:152-158 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1660:182-188 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1660:198-204 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1660:58-74 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1845:143-149 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1845:190-196 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
1845:55-71 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
2274:140-146 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
2274:156-162 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
2274:54-70 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/scrolling.es5.js
270:152-158 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/scrolling.es5.js
270:168-174 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/scrolling.es5.js
270:58-74 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
3175:170-176 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
3175:193-199 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
3175:64-80 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/bidi.es5.js
32:34-40 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
3354:48-54 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
3355:45-51 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
3356:38-44 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
359:143-149 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/a11y.es5.js
359:55-71 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/observers.es5.js
40:65-81 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/collections.es5.js
411:67-83 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/scrolling.es5.js
520:143-149 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/scrolling.es5.js
520:161-167 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/scrolling.es5.js
520:55-71 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
605:167-173 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
605:193-199 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
605:216-222 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
605:232-238 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
605:63-79 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/platform.es5.js
68:50-66 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/bidi.es5.js
70:146-152 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/bidi.es5.js
70:56-72 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
731:179-185 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
731:67-83 "export 'defineInjectable' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
833:152-158 "export 'inject' was not found in '@angular/core'

WARNING in ./node_modules/@angular/cdk/esm5/overlay.es5.js
833:58-74 "export 'defineInjectable' was not found in '@angular/core'

and after that error in the console

Uncaught TypeError: Object(...) is not a function
    at main.dbf9396177fc4f9f28b0.bundle.js:1
    at Object.x35b (main.dbf9396177fc4f9f28b0.bundle.js:1)
    at t (inline.318b50c57b4eba3d437b.bundle.js:1)
    at Object.0 (main.dbf9396177fc4f9f28b0.bundle.js:1)
    at t (inline.318b50c57b4eba3d437b.bundle.js:1)
    at window.webpackJsonp (inline.318b50c57b4eba3d437b.bundle.js:1)
    at main.dbf9396177fc4f9f28b0.bundle.js:1

Monday 19.03 all was fine.

24 Answers

✔️Accepted Answer

I explicity set the material and cdk build that I want npm install use,
AND IT WORKS.

on package.json, set:
"@angular/cdk": "github:angular/cdk-builds#89f40f293288fc8e568cc01c7b79d31e25c61de0",
and
"@angular/material": "github:angular/material2-builds#8873f67f2988f214d09b55b15f2e10a5d9b5bb0d",

this builds are the used by my app before I update yesterday.

I hope it will work for you @Metiner, @briancvn and @preslyel !

Other Answers:

npm i @angular/material@5.2.5 @angular/cdk@5.2.5 to revert back to the latest 5 version for angular material and angular cdk, and it will work

I've changed a version of angular/core and angular/material back to 5.2.8 and now is working.

I just forgot to import the BrowserAnimationModule:
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

Well I found that defineInjectable is only present in @angular/core from 6.x.x version. My project uses Angular 5.2.11 and thus can not use defineInjectable.

The culprit was a library that my Angular app uses which has been updated to (for Angular 6 I guess)... So reverting its version to a previous one (in my app's package.json) seems to fix the issue.

More Issues: